LibreOffice: ProtocolHandler Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
ProtocolHandler Service Referencepublished

special dispatch provider registered for URL protocols More...

Inheritance diagram for ProtocolHandler:

## Exported Interfaces
interface | XDispatchProvider
| used from the generic dispatch mechanism of the frame, to ask ProtocolHandler for his agreement for the dispatched URL
interface | ::com::sun::star::lang::XInitialization
| initialize the new handler instance with some context information

## Additional Inherited Members
Public Member Functions inherited from XDispatchProvider
XDispatch | queryDispatch ([in] com::sun::star::util::URL URL, [in] string TargetFrameName, [in] long SearchFlags)
| searches for an XDispatch for the specified URL within the specified target frame.
sequence< XDispatch > | queryDispatches ([in] sequence< DispatchDescriptor > Requests)
| actually this method is redundant to XDispatchProvider::queryDispatch() to avoid multiple remote calls.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object.

## Detailed Description

special dispatch provider registered for URL protocols

The generic dispatch mechanism on a Frame search for such registered protocol handler and use it if it agrees with the dispatched URL.

Supported URLs must match follow format: `protocol scheme:protocol specific part` If a handler provides optional arguments ("?") or jump marks ("#") depends from his definition and implementation. The generic dispatch provider will use registered URL pattern to detect right handler.

Developers Guide
  Writing UNO Components - Implementation

## Exported Interfaces

## ◆ ::com::sun::star::lang::XInitialization

interface ::com::sun::star::lang::XInitialization
| optional

initialize the new handler instance with some context information

Sometimes it can be useful for a handler object, to know something about the environment, in which it runs - especially the frame. For this case the generic code (which uses the handler) will ask for this optional interface and use it, if it exist. Following parameters are passed to the service:

- sequence< any >[0] => the frame for which this ProtocolHandler was created [com.sun.star.frame.XFrame]

Please note: if this mechanism is used it seems not useful (nor possible) to implement a ProtocolHandler as a singleton. Otherwise the implementation can't distinguish between different environments and her corresponding dispatch requests.

## ◆ XDispatchProvider

interface XDispatchProvider

used from the generic dispatch mechanism of the frame, to ask ProtocolHandler for his agreement for the dispatched URL

Such asked handler can agree by returning itself or a special sub dispatch object, which can handle the given URL. Of course he can disagree with it by returning an empty reference.

The documentation for this service was generated from the following file:

- com/sun/star/frame/ProtocolHandler.idl